
From: Miklos Szeredi <miklos@szeredi.hu>

Fix up fuse_follow_link() and fuse_put_link() to conform to the new API.

Signed-off-by: Miklos Szeredi <miklos@szeredi.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/fuse/dir.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/fuse/dir.c~fuse-read-only-operations-follow_link-fix fs/fuse/dir.c
--- 25/fs/fuse/dir.c~fuse-read-only-operations-follow_link-fix	Mon Aug 29 14:16:46 2005
+++ 25-akpm/fs/fuse/dir.c	Mon Aug 29 14:16:46 2005
@@ -314,13 +314,13 @@ static void free_link(char *link)
 		free_page((unsigned long) link);
 }
 
-static int fuse_follow_link(struct dentry *dentry, struct nameidata *nd)
+static void *fuse_follow_link(struct dentry *dentry, struct nameidata *nd)
 {
 	nd_set_link(nd, read_link(dentry));
-	return 0;
+	return NULL;
 }
 
-static void fuse_put_link(struct dentry *dentry, struct nameidata *nd)
+static void fuse_put_link(struct dentry *dentry, struct nameidata *nd, void *c)
 {
 	free_link(nd_get_link(nd));
 }
_
